Subject: Re: Unmodified submodules shows up as dirty with 1.6.6.443.gd7346

From: Johannes Sixt <[email-masked]>
Date: Tue, 19 Jan 2010 08:13:37 +0100

Jacob Helwig schrieb:
> If there is no output from git status in the submodule, then git
> status in the superproject shows the submodule as being clean.
> However, if there is _any_ output from git status (untracked files,
> modified files, deleted files, new files), then the superproject shows
> the submodule as being dirty.

But isn't it a bug that a submodule is considered dirty just because an
untracked file appears?

-- Hannes